EntPro Cyber Security ha publicado una vulnerabilidad en PrestaShop
1.5.4 que permitiría efectuar un ataque de Cross Site Request Forgery por hackers. PrestaShop es un software de comercio electrónico distribuido bajo licencia libre …

 … que tiene soporte de pago para distintos servicios de pago como PayPal. 

 
Un atacante que aproveche esta vulnerabilidad, podría cambiar la dirección de correo y contraseñas de la víctima, y además, modificar los elementos que la víctima tenga en el carro de la compra. 
 
Los ataques de Cross-site Request Forgery consisten en una falta de comprobación del origen de una petición en una aplicación web. Cuando una aplicación web recibe una petición de un usuario correctamente autenticado y con una sesión activa, esta procede a ejecutar las acciones que conlleven la petición.
Por ejemplo: 
www.sitio.com/baja.php?confirm=yes
daría de baja a un usuario de la aplicación web alojada en www.sitio.com. 
 
Si un atacante envía un enlace a una víctima, o esta visita una página web manipulada por el atacante, podría ejecutar acciones sin su conocimiento. Esto se debe a que la aplicación web no identifica correctamente el origen de la petición o no dispone de un mecanismo que le permita conocer si la petición se desencadenó originariamente desde el usuario. 
 
Junto al reporte de la vulnerabilidad, han publicado una prueba de concepto que aprovecha esta vulnerabilidad, la cual actualmente no tiene una solución oficial. 
 
Opina sobre esta noticia: 
http://unaaldia.hispasec.com/2013/07/cross-site-request-forgery-en-prestashop.html#comments
 
Más información
 
PrestaShop 1.5.4 Cross Site Request Forgery
http://cxsecurity.com/issue/WLB-2013070103

Fuente:
Jose Ignacio Palacios Ortega
jipalacios@hispasec.com
Laboratorio Hispasec
www.hispasec.com

Imagen: 
Fotos Digitales Gratis
www.fotosdigitalesgratis.com
 
Logos/Imágenes MR Respectivas Compañías mencionadas en la noticia.
Portal de Seguridad Informática, Tecnología e Internet
Descargas Antivirus/Antimalware
www.antivirusgratis.com.ar